Skip to main content
GET
/
withdrawal-requests
Get withdrawal request list
curl --request GET \
  --url https://tag.dev.alfa-bot.com/api/dev/v1/withdrawal-requests \
  --header 'token: <api-key>'
{
  "success": true,
  "data": [
    {
      "request_id": "wd_6a16c48222d327108513784f",
      "external_id": "client_request_10001",
      "amount": "100.00",
      "currency": "USDT",
      "network": "trx",
      "sender": "exchange",
      "sender_wallet": "TQv5p...9xA",
      "recipient_wallet": "TVx9...1bC",
      "fee": "1.00",
      "fee_included": true,
      "status": "new",
      "comment": "Client withdrawal",
      "created_at": "2026-05-28T09:00:00.000Z",
      "updated_at": "2026-05-28T09:01:00.000Z"
    }
  ],
  "meta": {
    "limit": 30,
    "offset": 0,
    "total": 1
  }
}

Authorizations

token
string
header
required

Pass your API token in the token request header.

Query Parameters

request_id
string

Withdrawal request ID filter.

currency
string

Currency/token filter.

created_from
string

Start date filter in ISO 8601 format.

created_to
string

End date filter in ISO 8601 format.

network
string

Network filter.

status
string

Status filter.

external_id
string

External request ID filter.

sort_by
string

Sort field.

sort_direction
string

Sort direction: asc or desc.

limit
string

Pagination limit.

offset
string

Pagination offset.

Response

OK - withdrawal request list was returned successfully

success
boolean
data
object[]
meta
object